summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Build/source/utils/README23
-rwxr-xr-xMaster/tlpkg/bin/tl-update-asy17
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir4
3 files changed, 31 insertions, 13 deletions
diff --git a/Build/source/utils/README b/Build/source/utils/README
index 49d81913979..368f3b35675 100644
--- a/Build/source/utils/README
+++ b/Build/source/utils/README
@@ -59,8 +59,10 @@ clisp_toolsdir=$clisp_basedir/clisp-tools
clisp_builddir=$clisp_basedir/clisp-build
mkdir $clisp_toolsdir
+wget=wget # or "curl -O" or whatever
+
cd $clisp_basedir
-wget http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-2.10.tar.gz
+$wget http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-2.10.tar.gz
gzip -dc libsigsegv-2.10.tar.gz | tar xf -
cd libsigsegv-2.10
./configure --prefix=$clisp_toolsdir && make && make check && make install
@@ -69,8 +71,21 @@ cd libsigsegv-2.10
# if clisp's configure will not find libsigsegv.
ln -s lib $clisp_toolsdir/lib64
+# on the mac, get libiconv and ensure link statically.
+# not needed on other platforms?
+cd $clisp_basedir
+$wget http://ftp.gnu.org/gnu/libiconv/libiconv-1.13.1.tar.gz
+gzip -dc libiconv-1.13.1.tar.gz | tar xf -
+cd libiconv-1.13.1
+./configure --enable-static --prefix=$clisp_toolsdir \
+&& make && make check && make install
+#
+cd $clisp_basedir/clisp-tools/lib
+rm *.dylib
+rm *.la
+
cd $clisp_basedir
-wget http://ftp.gnu.org/gnu/clisp/release/2.49/clisp-2.49.tar.gz
+$wget http://ftp.gnu.org/gnu/clisp/release/2.49/clisp-2.49.tar.gz
gzip -dc clisp-2.49.tar.gz | tar xf -
cd clisp-2.49
@@ -78,9 +93,9 @@ cd clisp-2.49
# mv modules/syscalls/configure modules/syscalls/configure.orig
# sed -e '{s%-luuid%-L/usr/lib/w32api -luuid%}' \
# modules/syscalls/configure.orig > modules/syscalls/configure
-
+#
# On FreeBSD/amd64: add --disable-mmap.
-
+#
./configure --with-libsigsegv-prefix=$clisp_toolsdir --without-readline \
--disable-nls \
$clisp_builddir \
diff --git a/Master/tlpkg/bin/tl-update-asy b/Master/tlpkg/bin/tl-update-asy
index 8c5a99c207f..8120a841ea4 100755
--- a/Master/tlpkg/bin/tl-update-asy
+++ b/Master/tlpkg/bin/tl-update-asy
@@ -1,7 +1,7 @@
#!/bin/sh
# $Id$
# Public domain. Originally written 2008, Karl Berry.
-# Attempt at updating asymptote.
+# Info about updating asymptote.
#
# Do not run this script. It won't work. It is necessary to run the
# commands one at a time and think about what is being done. It's
@@ -12,10 +12,10 @@
# for myself; feel free to peruse tug.org:~karl/.bash_login, etc.
# --karl
-test "x$1" = x--build || exit 1
-
ver=... # the newly-released version
+test "x$1" = x--build || exit 1
+
#
if false && $update_sources_from_ctan; then
# this part is about copying the sources from CTAN to TL.
@@ -35,7 +35,7 @@ if false && $update_sources_from_ctan; then
# final check and commit:
svn status
- svn commit -m"asy $ver" . ../README
+ svn commit -m"asy $ver sources" . ../README
exit $?
#
@@ -59,7 +59,7 @@ elif test "x$1" = x--build; then
fi
rm -rf /tmp/ainst
./configure --with-latex=/tmp/ainst/latex --with-context=/tmp/ainst/context \
- --enable-texlive-build --prefix=/tmp/ainst CFLAGS=-g
+ --enable-texlive-build --prefix=/tmp/ainst #CFLAGS=-g
nice make
make install-prebuilt
mv dot.svn .svn
@@ -83,11 +83,14 @@ elif false && $update_runtime_from_ainst; then
$cp share/man/man1/asy.1 $xmf/doc/man/man1/asy.1
$cp share/man/man1/xasy.1x $xmf/doc/man/man1/xasy.1
$cp -r share/doc/asymptote $xmf/doc
-
+ #
$cp -r share/asymptote $xmf
-
+ #
$cp latex/asymptote/* $xmf/tex/latex/asymptote/
$cp context*/asymptote/* $xmf/tex/context/asymptote/
+ #
+ $cp bin/asy $lb/
+ strip $lb/asy
cd $xmf/doc/man
make
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index 722f5c301ff..eb1bc9bcc3c 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -108,7 +108,7 @@ for tlname in $tlnames; do
download_loc=${TMPDIR-$tmpdir}/tl.$tlname.tar.xz
default_bin_loc=$download_loc
grab="$download -O $download_loc"
- $grab ftp://ftp.cea.fr/incoming/y2k01/braslau/x86_64-unknown-kfreebsd8.0-gnu.tar.xz;;
+ $grab ftp://ftp.cea.fr/incoming/y2k01/tlbuild/x86_64-unknown-kfreebsd8.2-gnu.tar.xz;;
hppa-hpux)
default_bin_loc=$download_loc
$grab http://www.jtartlabs.com/test/hppa2.0-hp-hpux10.20.tar.gz;;
@@ -124,7 +124,7 @@ for tlname in $tlnames; do
download_loc=${TMPDIR-$tmpdir}/tl.$tlname.tar.xz
default_bin_loc=$download_loc
grab="$download -O $download_loc"
- $grab ftp://ftp.cea.fr/incoming/y2k01/braslau/i686-unknown-kfreebsd8.0-gnu.tar.xz;;
+ $grab ftp://ftp.cea.fr/incoming/y2k01/tlbuild/i686-unknown-kfreebsd8.2-gnu.tar.xz;;
i386-linux)
default_bin_loc=/home/texlive/sarge/tmp/source/inst/bin/i686-pc-linux-gnu;;
i386-netbsd)